Summary: An interpreted, interactive, object-oriented programming language.
Name:  python2
Version: 2.0
Release: 3
Copyright: Modified CNRI Open Source License
Group: Development/Languages
Source: python-%{version}.tar.bz2
Source1: html-%{version}.tar.bz2
Patch0: python-%{version}-Setup.patch
Patch1: python-2.0-db1.patch
Patch2: python-2.0-tkinter.patch
Patch3: python-2.0-userstring.patch
Patch4: python-2.0-mailbox.patch
Patch5: python-2.0-sreparse.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.pythonlabs.com/

%description
Python is an interpreted, interactive, object-oriented programming
language.  It incorporates modules, exceptions, dynamic typing, very high
level dynamic data types, and classes. Python combines remarkable power
with very clear syntax. It has interfaces to many system calls and
libraries, as well as to various window systems, and is extensible in C or
C++. It is also usable as an extension language for applications that need
a programmable interface.  Finally, Python is portable: it runs on many
brands of UNIX, on PCs under Windows, MS-DOS, and OS/2, and on the
Mac.

%package devel
Summary: Development files for Python 2.0.
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains tools needed to build Python
modules in other languages such as C and C++.

%prep
%setup -q -n Python-%{version}
%patch0 -p1 -b .rhconfig
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%setup -q -D -T -a 1 -n Python-%{version} -q
# This command drops the HTML files in the top-level build directory.
# That's not perfect, but it will do for now.

%build
autoconf
%configure
make
Tools/scripts/pathfix.py -i "/usr/bin/env python2.0" .

%install
[ -d $RPM_BUILD_ROOT ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT%{_mandir}
%makeinstall MANDIR=$RPM_BUILD_ROOT/%{_mandir}
mv $RPM_BUILD_ROOT//usr/bin/python $RPM_BUILD_ROOT//usr/bin/python2
mv $RPM_BUILD_ROOT/%{_mandir}/man1/python.1 $RPM_BUILD_ROOT/%{_mandir}/man1/python2.1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/python2
/usr/bin/python2.0
%{_mandir}/man1/python2.1*
%doc Misc/README Misc/HYPE Misc/cheatsheet Misc/unicode.txt Misc/Porting
%doc LICENSE Misc/ACKS Misc/BLURB.* Misc/HISTORY Misc/NEWS
%doc index.html modindex.html api dist doc ext inst lib mac ref tut icons

%dir /usr/lib/python2.0/
/usr/lib/python2.0/*.py*
/usr/lib/python2.0/pdb.doc
/usr/lib/python2.0/profile.doc
%dir /usr/lib/python2.0/curses
/usr/lib/python2.0/curses/*.py*
%dir /usr/lib/python2.0/distutils
/usr/lib/python2.0/distutils/*.py*
/usr/lib/python2.0/distutils/README
%dir /usr/lib/python2.0/distutils/command
/usr/lib/python2.0/distutils/command/*.py*
/usr/lib/python2.0/distutils/command/command_template
%dir /usr/lib/python2.0/encodings
/usr/lib/python2.0/encodings/*.py*
%dir /usr/lib/python2.0/lib-dynload
%dir /usr/lib/python2.0/lib-tk
/usr/lib/python2.0/lib-tk/*.py*
/usr/lib/python2.0/lib-dynload/_codecsmodule.so
/usr/lib/python2.0/lib-dynload/_cursesmodule.so
/usr/lib/python2.0/lib-dynload/_localemodule.so
/usr/lib/python2.0/lib-dynload/arraymodule.so
/usr/lib/python2.0/lib-dynload/audioop.so
/usr/lib/python2.0/lib-dynload/binascii.so
/usr/lib/python2.0/lib-dynload/cPickle.so
/usr/lib/python2.0/lib-dynload/cStringIO.so
/usr/lib/python2.0/lib-dynload/cmathmodule.so
/usr/lib/python2.0/lib-dynload/errnomodule.so
/usr/lib/python2.0/lib-dynload/fcntlmodule.so
/usr/lib/python2.0/lib-dynload/gdbmmodule.so
/usr/lib/python2.0/lib-dynload/grpmodule.so
/usr/lib/python2.0/lib-dynload/imageop.so
/usr/lib/python2.0/lib-dynload/linuxaudiodev.so
/usr/lib/python2.0/lib-dynload/mathmodule.so
/usr/lib/python2.0/lib-dynload/md5module.so
/usr/lib/python2.0/lib-dynload/mmapmodule.so
/usr/lib/python2.0/lib-dynload/newmodule.so
/usr/lib/python2.0/lib-dynload/operator.so
/usr/lib/python2.0/lib-dynload/parsermodule.so
/usr/lib/python2.0/lib-dynload/pwdmodule.so
/usr/lib/python2.0/lib-dynload/readline.so
/usr/lib/python2.0/lib-dynload/resource.so
/usr/lib/python2.0/lib-dynload/rgbimgmodule.so
/usr/lib/python2.0/lib-dynload/rotormodule.so
/usr/lib/python2.0/lib-dynload/selectmodule.so
/usr/lib/python2.0/lib-dynload/shamodule.so
/usr/lib/python2.0/lib-dynload/_socketmodule.so
/usr/lib/python2.0/lib-dynload/stropmodule.so
/usr/lib/python2.0/lib-dynload/structmodule.so
/usr/lib/python2.0/lib-dynload/syslogmodule.so
/usr/lib/python2.0/lib-dynload/termios.so
/usr/lib/python2.0/lib-dynload/timemodule.so
/usr/lib/python2.0/lib-dynload/ucnhash.so
/usr/lib/python2.0/lib-dynload/unicodedata.so
/usr/lib/python2.0/lib-dynload/zlibmodule.so
%dir /usr/lib/python2.0/lib-old
/usr/lib/python2.0/lib-old/*.py*
%dir /usr/lib/python2.0/plat-linux2
/usr/lib/python2.0/plat-linux2/*.py*
/usr/lib/python2.0/plat-linux2/regen
%dir /usr/lib/python2.0/site-packages
/usr/lib/python2.0/site-packages/README
%dir /usr/lib/python2.0/test
/usr/lib/python2.0/test/*.py*
/usr/lib/python2.0/test/README
/usr/lib/python2.0/test/audiotest.au
/usr/lib/python2.0/test/greyrgb.uue
/usr/lib/python2.0/test/test.xml
/usr/lib/python2.0/test/test.xml.out
/usr/lib/python2.0/test/testimg.uue
/usr/lib/python2.0/test/testimgr.uue
/usr/lib/python2.0/test/testrgb.uue
%dir /usr/lib/python2.0/test/output
/usr/lib/python2.0/test/output/test_*
%dir /usr/lib/python2.0/xml
/usr/lib/python2.0/xml/*.py*
%dir /usr/lib/python2.0/xml/dom
/usr/lib/python2.0/xml/dom/*.py*
%dir /usr/lib/python2.0/xml/parsers
/usr/lib/python2.0/xml/parsers/*.py*
%dir /usr/lib/python2.0/xml/sax
/usr/lib/python2.0/xml/sax/*.py*

%files devel
%defattr(-,root,root)
%dir /usr/include/python2.0
/usr/include/python2.0/*.h
%dir /usr/lib/python2.0/config
/usr/lib/python2.0/config/Makefile
/usr/lib/python2.0/config/Makefile.pre.in
/usr/lib/python2.0/config/Setup
/usr/lib/python2.0/config/Setup.config
/usr/lib/python2.0/config/Setup.local
/usr/lib/python2.0/config/config.c
/usr/lib/python2.0/config/config.c.in
/usr/lib/python2.0/config/install-sh
/usr/lib/python2.0/config/makesetup
/usr/lib/python2.0/config/python.o
/usr/lib/python2.0/config/libpython2.0.a


%changelog
* Wed Dec 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Lwis)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
